SYSLOG-SUMMARY(1)

NAME
syslog-summary - summarize the contents of a syslog log file

SYNOPSIS

syslog-summary [-s | --state= filename] [-i | --ignore= filename] [-d | --debug] [-r | --repeat] logfile...

syslog-summary [-h | --help]

DESCRIPTION

This manual page documents briefly the syslog-summary command.

syslog-summary summarizes the contents of log files via the syslog(3) service, by displaying each unique (except for the time) line once, and also the number of times such a line occurs in the input. The lines are displayed in the order they occur in the input.

OPTIONS

-i filename, --ignore=filename
    Read regular expressions from filename and ignore lines in the logfiles that match them.

-s filename, --state=filename
    Read state information from filename. The state contains information about the already reported parts of a log file, and prevents syslog-summary from reporting the same things many times. This is useful when syslog-summary is run from crontab every hour. The file is created, if it doesn't exist already.

-r, --repeat
    Merge "last message repeated * times" lines with the repeated event.

-d, --debug
    Enable verbose messages when errors occur (i.e. "debug mode").

-h, --help
    Show summary of options.

FILES

/etc/syslog-summary/ignore.rules
    Default ignore.rules file with default regular expressions.

DIAGNOSTICS

When reporting a bug, please run syslog-summary with the -d (or --debug) flag enabled.

syslog-summary provides some return codes, that can be used in scripts:
Code | Diagnostic
0 | Program exited successfully.
1 | Something went wrong, please run the program with the debug messages enabled.

AUTHORS

Lars Wirzenius <liw@iki.fi>

    Wrote this manpage for the Debian system.

    Wrote the first version of syslog-summary.

    Maintained the Debian package from 1998 to 2000.

Tommi Virtanen <tv@debian.org>

    Maintained the package from 2001 to early 2008.

David Paleino <d.paleino@gmail.com>

    Maintains the package since early 2008.

COPYRIGHT
Copyright © 2008 David Paleino
Copyright © 2001-2007 Tommi Virtanen
Copyright © 1998-2000 Lars Wirzenius

This manual page was written for the Debian system (but may be used by others).

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 3 or (at your option) any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.